{
	"pairs": {
        "binanceFutures": {
            "USDT-BTC": {
                "strategy": "TSSL_binanceFutures",
                "enabled": true,
                "override": {
                    "TRADING_LIMIT": 10
                }
            }
        }
    },
    "strategies": {
		"TSSL_binanceFutures": {
            "BUY_METHOD": "tssl",
            "BUY_ENABLED": true,
            "SELL_METHOD": "tssl",
            "SELL_ENABLED": true,
            "BUY_LEVEL": 99,
            "GAIN": 99,
            "DOUBLE_CHECK_GAIN": false,
            "NBA": 0,
            "BUYLVL1": 0.1,
            "BUYLVL2": 2,
            "BUYLVL3": 70,
            "SELLLVL1": 0.1,
            "SELLLVL2": 2,
            "SELLLVL3": 70,
            "BUYLVL": 1,
            "SELLLVL": 1,
            "XTREND_ENABLED": false,
            "BUY_RANGE": 0.05,
            "SELL_RANGE": 0.15,
            "TSSL_TARGET_ONLY": false,
            "PP_BUY": 0,
            "PP_SELL": 99999,
            "SHORT_LEVEL": 0,
            "LONG_LEVEL": 0.3,
            "ROE": 0.95,
            "ROE_TRAILING": false,
            "ROE_LIMIT": 0.1,
            "LEVERAGE": 0,
            "STOP_BUY": 0,
            "STOP_SELL": 0,
            "TAKE_PROFIT": false,
            "TP_PROFIT_ONLY": false,
            "TP_RANGE": 0.6,
            "TAKE_BUY": false,
            "TBUY_RANGE": 0.5,
            "FUNDS_RESERVE": 0,
            "KEEP_QUOTE": 0,
            "TL_ALLIN": false,
            "TL_PERC": 0,
            "TRADING_LIMIT": 10,
            "PERIOD": 5,
            "USE_RENKO": false,
            "RENKO_PERIOD": 15,
            "RENKO_BRICK_SIZE": 0.0001,
            "RENKO_ATR": false,
            "ADX_ENABLED": false,
            "ADX_LEVEL": 25,
            "DI_PERIOD": 14,
            "ATRX": 0.5,
            "ATR_PERIOD": 14,
            "BTC_PND_PROTECTION": false,
            "BTC_MONEY_FLOW": 50,
            "BTC_PND_PERIOD": 14,
            "CANDLES_LENGTH": 99,
            "EMA1": 8,
            "EMA2": 4,
            "EMA_LENGTH": 50,
            "EMASPREAD": false,
            "EMAx": 0.5,
            "FAST_SMA": 1,
            "SLOW_SMA": 2,
            "SINGLE_BUY": false,
            "HIGH_BB": 0,
            "LOW_BB": 0,
            "SMAPERIOD": 50,
            "STDV": 2,
            "KUMO_SENTIMENTS": false,
            "ICHIMOKU_PROTECTION": false,
            "KIJUN_PERIOD": 26,
            "TENKAN_PERIOD": 9,
            "SENKOUSPAN_PERIOD": 52,
            "DISPLACEMENT": 26,
            "KUMO_CLOSE": false,
            "KIJUN_CLOSE": false,
            "TENKAN_STOP": false,
            "KIJUN_STOP": false,
            "TENKAN_CLOSE": false,
            "ROE_CLOSE": false,
            "KUMO_STOP": false,
            "KIJUN_BUY": false,
            "KIJUN_SELL": false,
            "KUMO_BUY": false,
            "KUMO_SELL": false,
            "TENKAN_BUY": false,
            "TENKAN_SELL": false,
            "MACD_LONG": 20,
            "MACD_SHORT": 5,
            "MACD_SIGNAL": 10,
            "MFI_ENABLED": false,
            "MFI_BUY_LEVEL": 30,
            "MFI_SELL_LEVEL": 70,
            "MFI_LENGTH": 14,
            "RSI_BUY_ENABLED": false,
            "RSI_SELL_ENABLED": false,
            "RSI_BUY_LEVEL": 30,
            "RSI_SELL_LEVEL": 70,
            "RSI_LENGTH": 14,
            "RSI_METHOD": "oscillator",
            "STOCH_ENABLED": false,
            "STOCH_BUY_LEVEL": 20,
            "STOCH_SELL_LEVEL": 80,
            "SLOW_STOCH_K": 3,
            "STOCH_D": 3,
            "STOCH_K": 14,
            "STOCH_METHOD": "oscillator",
            "STOCHRSI_ENABLED": false,
            "STOCHRSI_BUY_LEVEL": 0.1,
            "STOCHRSI_SELL_LEVEL": 0.9,
            "STOCHRSI_LENGTH": 14,
            "STOCHRSI_METHOD": "oscillator",
            "DOUBLE_UP": false,
            "DOUBLE_UP_CAP": 1,
            "DU_BUYDOWN": 0.5,
            "DU_CAP_COUNT": 2,
            "DU_METHOD": "1",
            "RSI_DU_BUY": 99,
            "RT_ENABLED": false,
            "RT_BUY_LEVEL": 0.2,
            "RT_GAIN": 0.1,
            "RT_MAXBAG_PROTECTION": 99,
            "RT_ONCE": false,
            "RT_ONCE_AND_CONTINUE": false,
            "RT_SELL_UP": 0.5,
            "RT_BUY_UP_LEVEL": 0,
            "RT_TREND_ENABLED": false,
            "TRAIL_ME_BUY": false,
            "TRAIL_ME_SELL": false,
            "TRAIL_ME_DU": false,
            "TM_RT_SELL": false,
            "TRAIL_ME_RT": false,
            "TRAIL_ME_BUY_RANGE": 0.1,
            "TRAIL_ME_SELL_RANGE": 0.1,
            "TRAIL_ME_RT_SELL_RANGE": 0.1,
            "IGNORE_TRADES_BEFORE": 0,
            "MIN_VOLUME_TO_BUY": 5,
            "MIN_VOLUME_TO_SELL": 6,
            "PANIC_SELL": false,
            "STOP_LIMIT": 3,
            "SL_DISABLE_BUY": false,
            "COUNT_SELL": 9999,
            "TRADES_TIMEOUT": 0,
            "MARKET_BUY": false,
            "MARKET_SELL": false,
            "MARKET_CLOSE": false,
            "MARKET_STOP": false,
            "MARKET_RTBUY": false,
            "MARKET_RTSELL": false,
            "MARKET_BUYBACK": false,
            "MARKET_DU": false,
            "MARKET_FOK": false,
            "PRE_ORDER": false,
            "PRE_ORDER_GAP": 0,
            "MAKER_FEES": true,
            "MEAN_REVERSION": true,
            "IS_MARGIN_STRAT": true
        }
	},
	"exchanges": {
        "binanceFutures": {
            "key": "",
            "secret": "",
            "masterkey": "",
            "mastersecret": "",
            "type": "binanceFutures",
            "delay": 5,
            "TRADING_FEES": 0.02
        }
    },
    "bot": {
		"json_output": "./json",
		"debug": false,
		"BOT_DELAY": 1,
		"BOT_CCLEAN": 200,
		"gunthy_wallet": "",
		"CANCEL_ORDERS_ENABLED": true,
		"CANCEL_ORDERS_CYCLE_CAP": 20,
		"CANCEL_ONCAP": true,
		"RESERVE_PILE_UP": false,
		"interval_ticker_update": 25000,
		"period_storage_ticker": 2000,
		"timeout_buy": 59000,
		"timeout_sell": 60000,
		"TRADING_LIMIT_BUY_PYRAMID": 50,
		"TV_GAIN": 0.6,
		"TV_TRADING_LIMIT_BUY": 50,
		"TV_TRADING_LIMIT_BUY_PYRAMID": 50,
		"TV_PYRAMID": false,
		"TV_TRADING_LIMIT_SELL": 50,
		"TV_PROTECTION": false,
		"TV_MARKET_ORDERS": true,
		"TV_TRADING_LIMIT_CAP": 0.0001,
		"TV_STOPLOSS_PERCENTAGE": 60,
		"TV_TRADING_LIMIT_ALLIN": false,
		"TV_MVTS": 0.0001,
		"TV_GB": false,
		"TV_LEVERAGE": 0,
		"TV_LENDING": 0.02,
		"TV_CLOSE_ALL": false,
		"RETRY_TV_ORDER": false,
		"VERBOSE": true,
		"WATCH_MODE": false,
		"MULTIPLE_BASE": false,
		"withdraw_address": "YOURBTCADDRESSHERE",
		"withdraw_threshold": 0.5,
		"TELEGRAM_ENABLED": false,
		"TG_ORDER_TIMEOUT": 0,
		"TG_TEST": false,
		"TG_PL_ONLY": false,
		"TELEGRAM_NICK": "Gunbot",
		"TOKEN": "YOURTOKEN",
		"BR_TOKEN": "TELEGRA_BOT_TOKEN_BITRAGE_AUTOCONFIG",
		"TG_AUTOCONFIG": false,
		"chat_id": "123456789",
		"admin_id": "123456,123456,-123456"
	},
	"ws": {
		"port": 5001,
		"clientport": 3000,
		"hostname": "127.0.0.1"
	},
	"GUI": {
		"enabled": true,
		"start": false,
		"port": 5000,
		"https": false,
		"key": "localhost.key",
		"cert": "localhost.crt",
		"networktraffic": false,
		"authentication": {
			"login": true,
			"twoFA": false
		},
		"notifications": {
			"trade": true,
			"callback": false,
			"error": true
		}
	},
	"api": {
		"enabled": false,
		"start": false,
		"debug": false,
		"port": 8080,
		"https": false,
		"key": "ssl/privateKey.key",
		"cert": "ssl/certificate.crt",
		"allowedIPs": ""
	},
	"AutoConfig": {
		"enabled": false
	},
	"imap_listener": {
		"enabled": false,
		"authorized_froms": "[\"noreply@tradingview.com\"]",
		"user": "YOUREMAIL",
		"password": "YOURPASSWORD",
		"host": "imap.gmail.com",
		"port": 993,
		"tls": true,
		"tlsOptions": {
			"rejectUnauthorized": false
		}
	}
}